
From Andi Kleen

Fix x86_64 for kgdb.  We forget why.


 arch/x86_64/boot/compressed/head.S |    1 +
 arch/x86_64/boot/compressed/misc.c |    1 +
 include/linux/config.h             |    2 +-
 3 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/x86_64/boot/compressed/head.S~kgdb-x86_64-fixes arch/x86_64/boot/compressed/head.S
--- 25/arch/x86_64/boot/compressed/head.S~kgdb-x86_64-fixes	2003-08-23 16:32:08.000000000 -0700
+++ 25-akpm/arch/x86_64/boot/compressed/head.S	2003-08-23 16:32:08.000000000 -0700
@@ -26,6 +26,7 @@
 .code32
 .text
 
+#define IN_BOOTLOADER
 #include <linux/linkage.h>
 #include <asm/segment.h>
 
diff -puN arch/x86_64/boot/compressed/misc.c~kgdb-x86_64-fixes arch/x86_64/boot/compressed/misc.c
--- 25/arch/x86_64/boot/compressed/misc.c~kgdb-x86_64-fixes	2003-08-23 16:32:08.000000000 -0700
+++ 25-akpm/arch/x86_64/boot/compressed/misc.c	2003-08-23 16:32:08.000000000 -0700
@@ -9,6 +9,7 @@
  * High loaded stuff by Hans Lermen & Werner Almesberger, Feb. 1996
  */
 
+#define IN_BOOTLOADER
 #include "miscsetup.h"
 #include <asm/io.h>
 
diff -puN include/linux/config.h~kgdb-x86_64-fixes include/linux/config.h
--- 25/include/linux/config.h~kgdb-x86_64-fixes	2003-08-23 16:32:08.000000000 -0700
+++ 25-akpm/include/linux/config.h	2003-08-23 16:32:08.000000000 -0700
@@ -2,7 +2,7 @@
 #define _LINUX_CONFIG_H
 
 #include <linux/autoconf.h>
-#ifdef CONFIG_X86
+#if defined(__i386__) && !defined(IN_BOOTLOADER)
 #include <asm/kgdb.h>
 #endif
 

_
